#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=zhonglin2.23_base.ps
projection=-JM16.0c+
region=-R102.2/103.5/29.8/31.0
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map zhonglin2.23' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    30.554   103.071
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    29.924   102.790
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    30.061   102.601
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    30.404   102.689
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    30.000   102.984
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    30.253   103.070
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    30.197   102.977
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    30.791   103.304
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    30.317   102.897
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    30.332   103.258
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    30.361   103.028
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    30.032   103.246
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    30.403   102.971
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    30.668   103.271
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    30.493   103.010
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    30.681   103.022
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    30.402   102.970
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    30.249   103.092
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    30.719   103.182
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    30.714   103.215
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    30.605   103.310
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    30.587   103.235
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    30.722   103.188
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    29.966   103.231
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    30.058   102.846
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    30.913   103.385
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    30.155   103.102
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    30.118   103.007
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    30.702   102.833
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    30.525   102.328
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    29.964   102.763
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    30.682   102.881
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    30.640   103.330
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    30.769   102.784
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    30.675   102.822
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    30.687   103.089
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    30.675   102.790
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    30.357   102.707
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    30.063   102.711
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    30.704   102.817
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    30.659   102.794
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    30.713   102.796
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    30.642   102.770
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    30.089   103.316
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    30.668   102.801
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    30.690   102.786
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    30.671   102.770
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    30.008   103.092
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    30.713   102.819
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    30.382   102.850
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    30.027   103.114
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    30.697   102.771
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    30.577   102.678
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    30.018   103.161
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    30.203   103.080
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    30.722   102.821
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    29.912   102.754
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    29.955   102.749
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    30.213   103.079
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    30.161   102.656
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    30.679   102.791
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    30.425   103.023
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    29.939   103.151
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    29.950   103.141
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    29.946   103.181
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    30.028   102.785
END
gmt psxy -: -R $projection -Sl8p+t"67" -G0 -O -K << END >> $psfile
    29.967   103.134
END
gmt psxy -: -R $projection -Sl8p+t"68" -G0 -O -K << END >> $psfile
    29.854   103.232
END
gmt psxy -: -R $projection -Sl8p+t"69" -G0 -O -K << END >> $psfile
    30.714   102.810
END
gmt psxy -: -R $projection -Sl8p+t"70" -G0 -O -K << END >> $psfile
    30.077   103.200
END
gmt psxy -: -R $projection -Sl8p+t"71" -G0 -O -K << END >> $psfile
    30.705   102.797
END
gmt psxy -: -R $projection -Sl8p+t"72" -G0 -O -K << END >> $psfile
    30.166   102.826
END
gmt psxy -: -R $projection -Sl8p+t"73" -G0 -O -K << END >> $psfile
    30.408   102.839
END
gmt psxy -: -R $projection -Sl8p+t"74" -G0 -O -K << END >> $psfile
    30.150   102.975
END
gmt psxy -: -R $projection -Sl8p+t"75" -G0 -O -K << END >> $psfile
    30.473   102.967
END
gmt psxy -: -R $projection -Sl8p+t"76" -G0 -O -K << END >> $psfile
    30.749   103.331
END
gmt psxy -: -R $projection -Sl8p+t"77" -G0 -O -K << END >> $psfile
    30.486   102.854
END
gmt psxy -: -R $projection -Sl8p+t"78" -G0 -O -K << END >> $psfile
    30.087   102.734
END
gmt psxy -: -R $projection -Sl8p+t"79" -G0 -O -K << END >> $psfile
    30.272   103.351
END
gmt psxy -: -R $projection -Sl8p+t"80" -G0 -O -K << END >> $psfile
    30.364   102.882
END
gmt psxy -: -R $projection -Sl8p+t"81" -G0 -O -K << END >> $psfile
    30.799   103.324
END
gmt psxy -: -R $projection -Sl8p+t"82" -G0 -O -K << END >> $psfile
    30.864   103.228
END
gmt psxy -: -R $projection -Sl8p+t"83" -G0 -O -K << END >> $psfile
    30.837   103.216
END
gmt psxy -: -R $projection -Sl8p+t"84" -G0 -O -K << END >> $psfile
    30.809   103.129
END
gmt psxy -: -R $projection -Sl8p+t"85" -G0 -O -K << END >> $psfile
    30.783   103.181
END
gmt psxy -: -R $projection -Sl8p+t"86" -G0 -O -K << END >> $psfile
    30.828   103.188
END
gmt psxy -: -R $projection -Sl8p+t"87" -G0 -O -K << END >> $psfile
    30.109   102.828
END
gmt psxy -: -R $projection -Sl8p+t"88" -G0 -O -K << END >> $psfile
    30.256   102.931
END
gmt psxy -: -R $projection -Sl8p+t"89" -G0 -O -K << END >> $psfile
    30.323   102.924
END
gmt psxy -: -R $projection -Sl8p+t"90" -G0 -O -K << END >> $psfile
    30.195   102.816
END
gmt psxy -: -R $projection -Sl8p+t"91" -G0 -O -K << END >> $psfile
    30.203   102.891
END
gmt psxy -: -R $projection -Sl8p+t"92" -G0 -O -K << END >> $psfile
    30.239   102.900
END
gmt psxy -: -R $projection -Sl8p+t"93" -G0 -O -K << END >> $psfile
    30.269   102.936
END
gmt psxy -: -R $projection -Sl8p+t"94" -G0 -O -K << END >> $psfile
    30.208   102.923
END
gmt psxy -: -R $projection -Sl8p+t"95" -G0 -O -K << END >> $psfile
    30.126   102.871
END
gmt psxy -: -R $projection -Sl8p+t"96" -G0 -O -K << END >> $psfile
    30.350   102.916
END
gmt psxy -: -R $projection -Sl8p+t"97" -G0 -O -K << END >> $psfile
    30.267   102.903
END
gmt psxy -: -R $projection -Sl8p+t"98" -G0 -O -K << END >> $psfile
    30.352   102.964
END
gmt psxy -: -R $projection -Sl8p+t"99" -G0 -O -K << END >> $psfile
    30.314   102.948
END
gmt psxy -: -R $projection -Sl8p+t"100" -G0 -O -K << END >> $psfile
    30.157   102.792
END
gmt psxy -: -R $projection -Sl8p+t"101" -G0 -O -K << END >> $psfile
    30.312   102.963
END
gmt psxy -: -R $projection -Sl8p+t"102" -G0 -O -K << END >> $psfile
    30.219   102.921
END
gmt psxy -: -R $projection -Sl8p+t"103" -G0 -O -K << END >> $psfile
    30.297   102.968
END
gmt psxy -: -R $projection -Sl8p+t"104" -G0 -O -K << END >> $psfile
    30.188   102.945
END
gmt psxy -: -R $projection -Sl8p+t"105" -G0 -O -K << END >> $psfile
    30.202   102.867
END
gmt psxy -: -R $projection -Sl8p+t"106" -G0 -O -K << END >> $psfile
    30.285   102.977
END
gmt psxy -: -R $projection -Sl8p+t"107" -G0 -O -K << END >> $psfile
    30.241   102.901
END
gmt psxy -: -R $projection -Sl8p+t"108" -G0 -O -K << END >> $psfile
    30.247   102.916
END
gmt psxy -: -R $projection -Sl8p+t"109" -G0 -O -K << END >> $psfile
    30.302   102.921
END
gmt psxy -: -R $projection -Sl8p+t"110" -G0 -O -K << END >> $psfile
    30.285   102.993
END
gmt psxy -: -R $projection -Sl8p+t"111" -G0 -O -K << END >> $psfile
    30.288   102.919
END
gmt psxy -: -R $projection -Sl8p+t"112" -G0 -O -K << END >> $psfile
    30.261   102.932
END
gmt psxy -: -R $projection -Sl8p+t"113" -G0 -O -K << END >> $psfile
    30.316   102.962
END
gmt psxy -: -R $projection -Sl8p+t"114" -G0 -O -K << END >> $psfile
    30.275   102.933
END
gmt psxy -: -R $projection -Sl8p+t"115" -G0 -O -K << END >> $psfile
    30.173   102.884
END
gmt psxy -: -R $projection -Sl8p+t"116" -G0 -O -K << END >> $psfile
    30.111   102.831
END
gmt psxy -: -R $projection -Sl8p+t"117" -G0 -O -K << END >> $psfile
    30.262   102.779
END
gmt psxy -: -R $projection -Sl8p+t"118" -G0 -O -K << END >> $psfile
    30.384   103.058
END
gmt psxy -: -R $projection -Sl8p+t"119" -G0 -O -K << END >> $psfile
    30.357   102.885
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.558   103.069
    30.554   103.071
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.637   103.141
    30.554   103.071
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.923   102.790
    29.924   102.790
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.000   103.000
    29.924   102.790
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.062   102.594
    30.061   102.601
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.110   102.729
    30.061   102.601
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.403   102.688
    30.404   102.689
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.471   102.820
    30.404   102.689
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.997   102.987
    30.000   102.984
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.149   102.902
    30.000   102.984
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.243   103.071
    30.253   103.070
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.250   103.017
    30.253   103.070
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.195   102.975
    30.197   102.977
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.150   102.950
    30.197   102.977
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.792   103.308
    30.791   103.304
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.820   103.250
    30.791   103.304
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.309   102.897
    30.317   102.897
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.150   103.030
    30.317   102.897
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.335   103.258
    30.332   103.258
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.403   103.328
    30.332   103.258
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.361   103.029
    30.361   103.028
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.400   102.983
    30.361   103.028
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.030   103.248
    30.032   103.246
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.100   103.217
    30.032   103.246
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.400   102.971
    30.403   102.971
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.446   103.014
    30.403   102.971
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.665   103.273
    30.668   103.271
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.767   103.351
    30.668   103.271
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.493   103.010
    30.493   103.010
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.420   103.150
    30.493   103.010
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.680   103.022
    30.681   103.022
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.630   103.040
    30.681   103.022
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.404   102.970
    30.402   102.970
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.400   102.980
    30.402   102.970
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.248   103.090
    30.249   103.092
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.285   103.372
    30.249   103.092
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.720   103.181
    30.719   103.182
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.704   103.175
    30.719   103.182
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.714   103.215
    30.714   103.215
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.653   103.384
    30.714   103.215
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.607   103.308
    30.605   103.310
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.633   103.283
    30.605   103.310
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.588   103.235
    30.587   103.235
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.743   103.148
    30.587   103.235
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.723   103.188
    30.722   103.188
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.700   103.200
    30.722   103.188
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.967   103.230
    29.966   103.231
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.970   103.200
    29.966   103.231
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.059   102.847
    30.058   102.846
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.067   102.850
    30.058   102.846
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.913   103.384
    30.913   103.385
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.883   103.367
    30.913   103.385
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.155   103.103
    30.155   103.102
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.133   103.133
    30.155   103.102
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.119   103.006
    30.118   103.007
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.083   102.983
    30.118   103.007
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.703   102.832
    30.702   102.833
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.867   102.733
    30.702   102.833
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.525   102.329
    30.525   102.328
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.550   102.500
    30.525   102.328
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.964   102.763
    29.964   102.763
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.967   102.817
    29.964   102.763
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.683   102.880
    30.682   102.881
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.633   102.750
    30.682   102.881
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.641   103.328
    30.640   103.330
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.826   103.135
    30.640   103.330
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.771   102.783
    30.769   102.784
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.767   102.617
    30.769   102.784
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.676   102.821
    30.675   102.822
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.517   103.200
    30.675   102.822
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.681   103.072
    30.687   103.089
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.550   103.220
    30.687   103.089
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.674   102.791
    30.675   102.790
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.667   102.533
    30.675   102.790
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.357   102.707
    30.357   102.707
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.433   102.617
    30.357   102.707
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.063   102.711
    30.063   102.711
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.167   102.717
    30.063   102.711
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.705   102.817
    30.704   102.817
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.733   102.750
    30.704   102.817
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.659   102.794
    30.659   102.794
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.800   102.767
    30.659   102.794
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.713   102.797
    30.713   102.796
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.817   102.750
    30.713   102.796
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.642   102.770
    30.642   102.770
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.683   102.800
    30.642   102.770
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.089   103.316
    30.089   103.316
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.133   103.317
    30.089   103.316
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.669   102.799
    30.668   102.801
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.633   102.817
    30.668   102.801
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.691   102.785
    30.690   102.786
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.633   102.817
    30.690   102.786
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.673   102.767
    30.671   102.770
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.800   102.767
    30.671   102.770
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.007   103.092
    30.008   103.092
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.017   103.100
    30.008   103.092
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.713   102.819
    30.713   102.819
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.650   102.867
    30.713   102.819
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.382   102.849
    30.382   102.850
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.367   102.867
    30.382   102.850
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.026   103.114
    30.027   103.114
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.033   103.133
    30.027   103.114
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.697   102.771
    30.697   102.771
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.733   102.733
    30.697   102.771
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.576   102.678
    30.577   102.678
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.633   102.733
    30.577   102.678
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.017   103.160
    30.018   103.161
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.017   103.167
    30.018   103.161
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.202   103.080
    30.203   103.080
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.217   103.067
    30.203   103.080
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.723   102.821
    30.722   102.821
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.750   102.767
    30.722   102.821
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.912   102.754
    29.912   102.754
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.950   102.733
    29.912   102.754
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.955   102.748
    29.955   102.749
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.049   102.574
    29.955   102.749
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.213   103.079
    30.213   103.079
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.200   103.067
    30.213   103.079
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.161   102.656
    30.161   102.656
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.167   102.683
    30.161   102.656
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.679   102.791
    30.679   102.791
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.617   102.850
    30.679   102.791
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.426   103.022
    30.425   103.023
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.400   102.983
    30.425   103.023
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.938   103.151
    29.939   103.151
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.090   102.860
    29.939   103.151
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.949   103.143
    29.950   103.141
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.082   102.814
    29.950   103.141
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.946   103.180
    29.946   103.181
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.950   103.150
    29.946   103.181
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.028   102.785
    30.028   102.785
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.133   102.800
    30.028   102.785
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.967   103.133
    29.967   103.134
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.967   103.133
    29.967   103.134
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.855   103.234
    29.854   103.232
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.060   103.070
    29.854   103.232
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.715   102.806
    30.714   102.810
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.700   103.100
    30.714   102.810
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.078   103.200
    30.077   103.200
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.083   103.217
    30.077   103.200
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.707   102.796
    30.705   102.797
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.633   102.817
    30.705   102.797
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.165   102.826
    30.166   102.826
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.167   102.867
    30.166   102.826
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.408   102.839
    30.408   102.839
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.383   102.867
    30.408   102.839
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.151   102.975
    30.150   102.975
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.290   103.220
    30.150   102.975
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.474   102.966
    30.473   102.967
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.467   102.983
    30.473   102.967
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.749   103.331
    30.749   103.331
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.708   103.337
    30.749   103.331
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.484   102.856
    30.486   102.854
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.467   102.883
    30.486   102.854
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.087   102.734
    30.087   102.734
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.080   102.660
    30.087   102.734
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.271   103.347
    30.272   103.351
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.401   103.456
    30.272   103.351
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.368   102.881
    30.364   102.882
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.367   102.900
    30.364   102.882
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.799   103.330
    30.799   103.324
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.716   103.488
    30.799   103.324
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.864   103.227
    30.864   103.228
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.882   103.264
    30.864   103.228
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.835   103.212
    30.837   103.216
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.880   103.222
    30.837   103.216
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.809   103.128
    30.809   103.129
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.906   103.218
    30.809   103.129
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.783   103.177
    30.783   103.181
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.743   103.335
    30.783   103.181
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.832   103.190
    30.828   103.188
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.865   103.283
    30.828   103.188
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.108   102.825
    30.109   102.828
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.139   102.923
    30.109   102.828
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.255   102.929
    30.256   102.931
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.269   103.020
    30.256   102.931
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.323   102.924
    30.323   102.924
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.321   103.101
    30.323   102.924
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.194   102.816
    30.195   102.816
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.181   102.869
    30.195   102.816
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.204   102.890
    30.203   102.891
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.232   103.028
    30.203   102.891
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.236   102.897
    30.239   102.900
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.266   102.995
    30.239   102.900
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.268   102.932
    30.269   102.936
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.299   103.020
    30.269   102.936
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.209   102.928
    30.208   102.923
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.238   103.033
    30.208   102.923
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.124   102.868
    30.126   102.871
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.147   102.906
    30.126   102.871
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.350   102.920
    30.350   102.916
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.381   103.031
    30.350   102.916
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.266   102.906
    30.267   102.903
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.362   103.083
    30.267   102.903
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.354   102.966
    30.352   102.964
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.388   103.142
    30.352   102.964
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.314   102.948
    30.314   102.948
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.344   103.066
    30.314   102.948
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.157   102.792
    30.157   102.792
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.219   102.950
    30.157   102.792
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.312   102.962
    30.312   102.963
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.401   103.110
    30.312   102.963
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.215   102.918
    30.219   102.921
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.306   103.000
    30.219   102.921
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.298   102.969
    30.297   102.968
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.403   103.036
    30.297   102.968
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.188   102.945
    30.188   102.945
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.242   103.046
    30.188   102.945
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.202   102.866
    30.202   102.867
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.240   103.034
    30.202   102.867
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.285   102.977
    30.285   102.977
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.335   103.007
    30.285   102.977
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.239   102.900
    30.241   102.901
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.273   103.025
    30.241   102.901
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.247   102.912
    30.247   102.916
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.283   103.013
    30.247   102.916
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.301   102.920
    30.302   102.921
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.334   102.986
    30.302   102.921
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.284   102.996
    30.285   102.993
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.307   103.167
    30.285   102.993
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.288   102.917
    30.288   102.919
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.316   102.985
    30.288   102.919
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.259   102.929
    30.261   102.932
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.260   103.021
    30.261   102.932
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.321   102.961
    30.316   102.962
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.313   103.091
    30.316   102.962
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.274   102.932
    30.275   102.933
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.404   103.082
    30.275   102.933
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.173   102.881
    30.173   102.884
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.249   102.953
    30.173   102.884
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.112   102.828
    30.111   102.831
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.213   102.852
    30.111   102.831
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.262   102.779
    30.262   102.779
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.624   102.900
    30.262   102.779
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.384   103.055
    30.384   103.058
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.466   103.122
    30.384   103.058
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.357   102.882
    30.357   102.885
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.374   102.958
    30.357   102.885
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    30.554   103.071    85.891     2.879     3.519
    29.924   102.790    -0.594     2.842     4.922
    30.061   102.601    14.684     2.223     2.812
    30.404   102.689    43.824     2.009     2.435
    30.000   102.984    23.840     3.999     4.758
    30.253   103.070    14.463     3.521     4.500
    30.197   102.977    11.342     4.138     5.710
    30.791   103.304    40.598     3.377     4.572
    30.317   102.897    74.331     2.030     5.297
    30.332   103.258    46.836     1.907     2.361
    30.361   103.028    59.831     2.654     4.009
    30.032   103.246    87.696     3.124     4.956
    30.403   102.971    39.882     2.502     3.635
    30.668   103.271    49.194     1.636     2.258
    30.493   103.010    61.897     1.909     3.945
    30.681   103.022    47.498     3.024     3.825
    30.402   102.970    40.174     2.505     3.387
    30.249   103.092    30.759     2.035     2.692
    30.719   103.182    84.956     2.477     3.482
    30.714   103.215    76.259     1.925     2.600
    30.605   103.310    46.436     2.409     3.279
    30.587   103.235    44.806     2.104     2.723
    30.722   103.188    55.329     1.777     2.175
    29.966   103.231    -9.956     2.796     3.181
    30.058   102.846    80.510     2.244     2.902
    30.913   103.385    40.482     2.305     2.828
    30.155   103.102    28.291     2.086     2.417
    30.118   103.007   -83.645     2.284     2.337
    30.702   102.833    57.473     2.401     4.895
    30.525   102.328     2.375     2.635     3.018
    29.964   102.763   -67.496     2.369     2.670
    30.682   102.881    80.185     2.212     2.832
    30.640   103.330    22.775     2.177     3.613
    30.769   102.784    52.431     2.603     5.855
    30.675   102.822    51.666     3.005     5.195
    30.687   103.089   -35.307     3.320     4.394
    30.675   102.790    50.460     3.285     7.020
    30.357   102.707    58.583     2.030     2.323
    30.063   102.711   -56.702     1.792     2.118
    30.704   102.817    47.143     1.854     2.822
    30.659   102.794    38.911     2.498     4.137
    30.713   102.796    47.269     2.141     3.544
    30.642   102.770    56.533     3.178     4.523
    30.089   103.316   -16.753     2.365     2.488
    30.668   102.801    41.634     3.222     4.531
    30.690   102.786    45.591     2.107     2.885
    30.671   102.770    51.888     2.888     5.343
    30.008   103.092   -89.964     2.150     2.619
    30.713   102.819    53.150     2.066     3.718
    30.382   102.850    48.027     1.878     3.020
    30.027   103.114    53.151     2.600     3.196
    30.697   102.771    48.522     2.125     3.971
    30.577   102.678    61.252     2.620     4.160
    30.018   103.161   -76.942     1.617     2.094
    30.203   103.080   -84.815     2.297     2.863
    30.722   102.821    48.940     1.860     3.476
    29.912   102.754   -43.505     1.442     1.966
    29.955   102.749   -81.105     2.652     5.663
    30.213   103.079    74.934     2.208     2.371
    30.161   102.656    59.644     2.298     2.610
    30.679   102.791    58.481     2.024     3.035
    30.425   103.023    78.471     2.337     3.000
    29.939   103.151    58.883     1.719     2.150
    29.950   103.141    48.784     1.783     2.060
    29.946   103.181    68.446     2.245     2.503
    30.028   102.785   -81.460     2.108     2.567
    29.967   103.134   -89.562     1.962     3.185
    29.854   103.232   -47.008     2.813     3.577
    30.714   102.810    48.620     2.812     5.801
    30.077   103.200    35.154     1.673     2.553
    30.705   102.797    61.675     2.282     3.942
    30.166   102.826    48.198     1.962     2.366
    30.408   102.839    53.871     1.713     2.917
    30.150   102.975    57.596     1.765     2.217
    30.473   102.967    19.455     1.832     2.087
    30.749   103.331    53.254     1.992     3.330
    30.486   102.854    45.182     1.600     3.388
    30.087   102.734   -71.768     2.333     2.642
    30.272   103.351    62.065     3.460     4.372
    30.364   102.882    40.280     2.615     3.499
    30.799   103.324   -69.689     5.270     7.476
    30.864   103.228   -60.432     1.230     1.846
    30.837   103.216   -74.585     4.236     7.937
    30.809   103.129   -86.471     3.497     5.834
    30.783   103.181   -80.668     6.045    10.568
    30.828   103.188   -78.821     2.547     3.342
    30.109   102.828    81.331     3.868     4.457
    30.256   102.931   -60.417     1.165     1.567
    30.323   102.924    -4.583     2.495     3.002
    30.195   102.816   -63.804     1.826     2.134
    30.203   102.891    77.491     3.214     4.023
    30.239   102.900   -39.922     1.597     1.936
    30.269   102.936    -5.289     2.651     2.975
    30.208   102.923   -16.602     2.584     2.901
    30.126   102.871   -52.026     1.641     2.057
    30.350   102.916   -30.175     2.534     3.201
    30.267   102.903   -30.836     3.850     4.411
    30.352   102.964   -25.667     2.138     2.893
    30.314   102.948   -32.661     2.007     2.480
    30.157   102.792   -33.009     2.511     3.162
    30.312   102.963   -31.140     2.561     3.225
    30.219   102.921   -62.147     3.495     3.940
    30.297   102.968   -37.729     1.202     1.583
    30.188   102.945   -42.132     1.560     2.005
    30.202   102.867   -23.872     3.516     4.279
    30.285   102.977   -44.138     1.397     1.787
    30.241   102.901   -63.523     2.363     2.789
    30.247   102.916   -35.038     2.193     2.478
    30.302   102.921   -14.417     2.914     3.740
    30.285   102.993    -8.764     2.701     3.110
    30.288   102.919    67.151     2.905     3.322
    30.261   102.932    72.927     3.901     5.413
    30.316   102.962   -82.529     3.458     3.874
    30.275   102.933   -41.183     4.400     4.951
    30.173   102.884   -70.021     3.085     3.241
    30.111   102.831   -38.346     2.360     2.935
    30.262   102.779   -74.217     3.837     4.574
    30.384   103.058   -44.233     2.642     3.308
    30.357   102.885   -45.096     1.921     3.249
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    30.554   103.071     0.200
    30.256   102.931     0.200
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    29.808   102.290    53.032     0.874     1.098
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    29.808   102.313   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    29.808   102.290     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    29.808   102.290     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    29.763   102.290   5 km
END
