#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=zhonglin2.23_dcal.ps
projection=-JM16.0c+
region=-R100.1/105.6/28.0/32.8
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration zhonglin2.23' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.660   104.011
    30.554   103.071
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.561   103.442
    29.924   102.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.561   103.442
    29.924   102.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    29.924   102.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.165   102.411
    29.924   102.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.165   102.411
    30.061   102.601
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.061   102.601
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.017   103.017
    30.061   102.601
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.061   102.601
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.061   102.601
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.017   103.017
    30.404   102.689
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.404   102.689
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.404   102.689
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.000   102.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.000   102.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.017   103.017
    30.253   103.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.253   103.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.253   103.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.253   103.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.197   102.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.017   103.017
    30.197   102.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.197   102.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.348   102.775
    30.197   102.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.093   101.957
    30.197   102.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.197   102.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.197   102.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.017   103.017
    30.791   103.304
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.791   103.304
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.791   103.304
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.376   104.112
    30.791   103.304
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.791   103.304
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.382   103.795
    30.791   103.304
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.013   103.028
    30.791   103.304
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.417   104.217
    30.791   103.304
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.791   103.304
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.317   102.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.317   102.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.317   102.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.317   102.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.332   103.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.332   103.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.332   103.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.308   103.500
    30.332   103.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.382   103.795
    30.332   103.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.332   103.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.332   103.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.332   103.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.417   104.217
    30.332   103.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.361   103.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.361   103.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.361   103.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.361   103.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.308   103.500
    30.361   103.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.093   101.957
    30.361   103.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.361   103.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.032   103.246
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.032   103.246
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.032   103.246
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.308   103.500
    30.032   103.246
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.032   103.246
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.032   103.246
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.403   102.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.403   102.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.403   102.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.403   102.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.668   103.271
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.668   103.271
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.668   103.271
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.668   103.271
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.668   103.271
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.668   103.271
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.493   103.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.493   103.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.493   103.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.493   103.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.493   103.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.493   103.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.493   103.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.493   103.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.681   103.022
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.681   103.022
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.681   103.022
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.681   103.022
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.681   103.022
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.681   103.022
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.402   102.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.402   102.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.402   102.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.402   102.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.402   102.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.402   102.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.402   102.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.249   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.249   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.249   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.249   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.249   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.249   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.348   102.775
    30.249   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.249   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.249   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.719   103.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.719   103.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.308   103.500
    30.719   103.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.719   103.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.719   103.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.719   103.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.719   103.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.719   103.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.383   104.017
    30.719   103.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.719   103.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.714   103.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.714   103.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.714   103.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.308   103.500
    30.714   103.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.714   103.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.714   103.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.714   103.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.714   103.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.383   104.017
    30.714   103.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.605   103.310
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.605   103.310
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.605   103.310
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.605   103.310
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.605   103.310
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.605   103.310
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.587   103.235
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.587   103.235
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.587   103.235
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.587   103.235
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.587   103.235
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.587   103.235
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.587   103.235
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.587   103.235
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.587   103.235
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.587   103.235
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.587   103.235
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.722   103.188
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.722   103.188
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.722   103.188
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.722   103.188
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.722   103.188
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.722   103.188
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.722   103.188
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.722   103.188
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.722   103.188
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.383   104.017
    30.722   103.188
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.722   103.188
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    29.966   103.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    29.966   103.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    29.966   103.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.200   103.217
    29.966   103.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    29.966   103.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.966   103.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.966   103.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    29.966   103.231
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.165   102.411
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.165   102.411
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.058   102.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.913   103.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.913   103.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.913   103.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.913   103.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.913   103.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.383   104.017
    30.913   103.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.913   103.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.913   103.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.682   103.855
    30.913   103.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.682   103.855
    30.913   103.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.913   103.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.913   103.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.155   103.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.155   103.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.155   103.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.155   103.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.155   103.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.155   103.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.155   103.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.155   103.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.155   103.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.155   103.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.200   103.217
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.200   103.217
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.118   103.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.702   102.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.702   102.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.702   102.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.702   102.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.702   102.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.702   102.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.525   102.328
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.525   102.328
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.525   102.328
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.525   102.328
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.525   102.328
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.525   102.328
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    29.964   102.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    29.964   102.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.964   102.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.964   102.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    29.964   102.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    29.964   102.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    29.964   102.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.165   102.411
    29.964   102.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.165   102.411
    29.964   102.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.682   102.881
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.682   102.881
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.682   102.881
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.682   102.881
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.682   102.881
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.682   102.881
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.682   102.881
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.640   103.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.640   103.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.640   103.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.640   103.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.383   104.017
    30.640   103.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.383   104.017
    30.640   103.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.640   103.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.769   102.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.769   102.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.769   102.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.769   102.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.769   102.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.769   102.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.769   102.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.769   102.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.769   102.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.769   102.784
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.675   102.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.675   102.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.675   102.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.675   102.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.675   102.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.675   102.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.675   102.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.675   102.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.675   102.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.687   103.089
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.687   103.089
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.687   103.089
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.687   103.089
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.675   102.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.675   102.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.675   102.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.675   102.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.675   102.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.675   102.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.675   102.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.357   102.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.357   102.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.357   102.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.357   102.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.357   102.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.357   102.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.357   102.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.357   102.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.063   102.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.063   102.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.063   102.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.063   102.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.063   102.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.063   102.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.063   102.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.063   102.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.063   102.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.063   102.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.063   102.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.063   102.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.392   102.667
    30.063   102.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.704   102.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.704   102.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.704   102.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.704   102.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.704   102.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.704   102.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.704   102.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.704   102.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.704   102.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.704   102.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.659   102.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.659   102.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.659   102.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.659   102.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.659   102.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.659   102.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.713   102.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.713   102.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.713   102.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.713   102.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.713   102.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.713   102.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.713   102.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.713   102.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.713   102.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.713   102.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.642   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.642   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.642   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.642   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.642   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.642   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.642   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.642   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.642   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.089   103.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.089   103.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.089   103.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.089   103.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.089   103.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.089   103.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.089   103.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.089   103.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.089   103.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.089   103.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.089   103.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.089   103.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.668   102.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.668   102.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.668   102.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.668   102.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.668   102.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.668   102.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.668   102.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.668   102.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.690   102.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.690   102.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.690   102.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.690   102.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.690   102.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.690   102.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.690   102.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.690   102.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.690   102.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.690   102.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.671   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.671   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.671   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.671   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.671   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.671   102.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.008   103.092
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.713   102.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.713   102.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.713   102.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.713   102.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.713   102.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.713   102.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.713   102.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.713   102.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.713   102.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.713   102.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.382   102.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.382   102.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.382   102.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.382   102.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.382   102.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.382   102.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.382   102.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.382   102.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.382   102.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.382   102.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.027   103.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.027   103.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.027   103.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.027   103.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.027   103.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.027   103.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.027   103.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.027   103.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.027   103.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.697   102.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.697   102.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.697   102.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.697   102.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.697   102.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.697   102.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.697   102.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.697   102.771
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.577   102.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.577   102.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.577   102.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.577   102.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.577   102.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.577   102.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.577   102.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.577   102.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.577   102.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.018   103.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.018   103.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.018   103.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.018   103.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.018   103.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.018   103.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.018   103.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.018   103.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.018   103.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.567   103.433
    30.018   103.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.203   103.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.203   103.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.203   103.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.203   103.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.203   103.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.203   103.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.203   103.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.203   103.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.203   103.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.203   103.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.203   103.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.203   103.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.203   103.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.722   102.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.722   102.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.722   102.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.722   102.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.722   102.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.722   102.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.722   102.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.722   102.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.722   102.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.722   102.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    29.912   102.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.912   102.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.912   102.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    29.912   102.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    29.912   102.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    29.912   102.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    29.912   102.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.165   102.411
    29.912   102.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.165   102.411
    29.912   102.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.955   102.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.955   102.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.213   103.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.161   102.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.161   102.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.161   102.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.161   102.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.161   102.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.161   102.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.161   102.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.161   102.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.161   102.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.161   102.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.679   102.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.679   102.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.679   102.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.679   102.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.679   102.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.679   102.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.679   102.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.679   102.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.679   102.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.679   102.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.425   103.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.425   103.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.425   103.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.425   103.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.425   103.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.425   103.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.425   103.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.425   103.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.425   103.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.308   103.500
    29.939   103.151
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    29.939   103.151
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    29.939   103.151
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    29.939   103.151
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    29.939   103.151
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    29.939   103.151
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    29.939   103.151
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    29.939   103.151
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.939   103.151
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.939   103.151
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    29.939   103.151
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    29.939   103.151
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.950   103.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    29.950   103.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    29.950   103.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    29.950   103.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    29.950   103.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.950   103.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    29.950   103.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    29.950   103.141
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    29.946   103.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    29.946   103.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    29.946   103.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    29.946   103.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    29.946   103.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.946   103.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.946   103.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    29.946   103.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.028   102.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.028   102.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.028   102.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.028   102.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.028   102.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.028   102.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.028   102.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.028   102.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.165   102.411
    30.028   102.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.165   102.411
    30.028   102.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    29.967   103.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    29.967   103.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    29.967   103.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    29.967   103.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    29.967   103.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    29.967   103.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.967   103.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.967   103.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    29.967   103.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    29.967   103.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    29.967   103.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.854   103.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    29.854   103.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    29.854   103.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    29.854   103.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.052   103.787
    29.854   103.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.165   102.411
    29.854   103.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.714   102.810
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.714   102.810
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.714   102.810
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.077   103.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.077   103.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.077   103.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.077   103.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.077   103.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.077   103.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.077   103.200
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.705   102.797
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.705   102.797
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.705   102.797
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.705   102.797
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.705   102.797
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.705   102.797
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.705   102.797
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.705   102.797
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.166   102.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.166   102.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.166   102.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.166   102.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.166   102.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.166   102.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.166   102.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.166   102.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.166   102.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.166   102.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.166   102.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    30.166   102.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.408   102.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.408   102.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.408   102.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.408   102.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.408   102.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.408   102.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.408   102.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.408   102.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.408   102.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.408   102.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.150   102.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.150   102.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.150   102.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.150   102.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.150   102.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.150   102.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.150   102.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.150   102.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.150   102.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.150   102.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.798   103.931
    30.150   102.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.150   102.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.201   104.102
    30.150   102.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.473   102.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.473   102.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.473   102.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.473   102.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.473   102.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.473   102.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.473   102.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.473   102.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.473   102.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.473   102.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.473   102.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.749   103.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.749   103.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.749   103.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.477   103.587
    30.749   103.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.749   103.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.749   103.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.749   103.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.486   102.854
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.486   102.854
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.486   102.854
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.486   102.854
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.486   102.854
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.486   102.854
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.486   102.854
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.486   102.854
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.486   102.854
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.486   102.854
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.087   102.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.804   102.777
    30.087   102.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.087   102.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.087   102.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.392   102.667
    30.087   102.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.087   102.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.261   103.086
    30.087   102.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.087   102.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    30.087   102.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.165   102.411
    30.087   102.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.165   102.411
    30.087   102.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.087   102.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.087   102.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.272   103.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.272   103.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.074   103.042
    30.364   102.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.115   102.178
    30.364   102.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.869   103.569
    30.364   102.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.059   101.968
    30.364   102.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.364   102.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.576   103.453
    30.364   102.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.799   103.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.799   103.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.864   103.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.864   103.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.837   103.216
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.837   103.216
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.809   103.129
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.809   103.129
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.783   103.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.783   103.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.828   103.188
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.828   103.188
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.256   102.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.256   102.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.323   102.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.323   102.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.239   102.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.239   102.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.269   102.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.269   102.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.350   102.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.350   102.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.267   102.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.267   102.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.352   102.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.352   102.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.314   102.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.314   102.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.312   102.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.312   102.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.219   102.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.219   102.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.297   102.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.297   102.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.285   102.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.285   102.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.241   102.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.241   102.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.247   102.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.247   102.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.302   102.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.302   102.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.285   102.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.285   102.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.288   102.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.288   102.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.261   102.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.261   102.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.316   102.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.316   102.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.275   102.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.275   102.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.384   103.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.910   103.758
    30.384   103.058
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    30.660   104.011     0.300
    29.561   103.442     0.300
    30.059   101.968     0.300
    29.165   102.411     0.300
    30.017   103.017     0.300
    31.003   102.362     0.300
    29.261   103.086     0.300
    30.910   103.758     0.300
    29.348   102.775     0.300
    30.093   101.957     0.300
    29.567   103.433     0.300
    31.376   104.112     0.300
    30.869   103.569     0.300
    30.382   103.795     0.300
    30.013   103.028     0.300
    30.417   104.217     0.300
    30.201   104.102     0.300
    30.115   102.178     0.300
    30.308   103.500     0.300
    31.477   103.587     0.300
    29.804   102.777     0.300
    29.798   103.931     0.300
    31.383   104.017     0.300
    29.200   103.217     0.300
    31.682   103.855     0.300
    30.990   102.485     0.300
    29.392   102.667     0.300
    29.052   103.787     0.300
    30.074   103.042     0.300
    29.576   103.453     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.554   103.071     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.924   102.790     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.061   102.601     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.404   102.689     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.000   102.984     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.253   103.070     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.197   102.977     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.791   103.304     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.317   102.897     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.332   103.258     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.361   103.028     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.032   103.246     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.403   102.971     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.668   103.271     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.493   103.010     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.681   103.022     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.402   102.970     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.249   103.092     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.719   103.182     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.714   103.215     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.605   103.310     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.587   103.235     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.722   103.188     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.966   103.231     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.058   102.846     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.913   103.385     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.155   103.102     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.118   103.007     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.702   102.833     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.525   102.328     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.964   102.763     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.682   102.881     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.640   103.330     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.769   102.784     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.675   102.822     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.687   103.089     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.675   102.790     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.357   102.707     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.063   102.711     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.704   102.817     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.659   102.794     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.713   102.796     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.642   102.770     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.089   103.316     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.668   102.801     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.690   102.786     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.671   102.770     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.008   103.092     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.713   102.819     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.382   102.850     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.027   103.114     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.697   102.771     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.577   102.678     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.018   103.161     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.203   103.080     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.722   102.821     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.912   102.754     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.955   102.749     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.213   103.079     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.161   102.656     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.679   102.791     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.425   103.023     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.939   103.151     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.950   103.141     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.946   103.181     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.028   102.785     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.967   103.134     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.854   103.232     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.714   102.810     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.077   103.200     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.705   102.797     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.166   102.826     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.408   102.839     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.150   102.975     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.473   102.967     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.749   103.331     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.486   102.854     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.087   102.734     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.272   103.351     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.364   102.882     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.799   103.324     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.864   103.228     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.837   103.216     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.809   103.129     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.783   103.181     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.828   103.188     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.109   102.828     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.256   102.931     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.323   102.924     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.195   102.816     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.203   102.891     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.239   102.900     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.269   102.936     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.208   102.923     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.126   102.871     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.350   102.916     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.267   102.903     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.352   102.964     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.314   102.948     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.157   102.792     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.312   102.963     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.219   102.921     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.297   102.968     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.188   102.945     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.202   102.867     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.285   102.977     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.241   102.901     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.247   102.916     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.302   102.921     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.285   102.993     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.288   102.919     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.261   102.932     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.316   102.962     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.275   102.933     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.173   102.884     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.111   102.831     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.262   102.779     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.384   103.058     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.357   102.885     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    30.366   102.965     0.000   222.000   222.000
    30.366   102.965     0.000   444.000   444.000
END
