#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=zhonglin2.23_rdp_081.ps
projection=-JX18/12
region=-R1/27/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases zhonglin2.23 Event 081' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     0.772     1.000
     1.072     2.000
     1.371     3.000
     1.671     4.000
     1.971     5.000
     2.270     6.000
     2.569     7.000
     2.868     8.000
     3.148     9.000
     3.448    10.000
     3.749    11.000
     4.050    12.000
     4.351    13.000
     4.654    14.000
     4.956    15.000
     5.257    16.000
     5.560    17.000
     5.863    18.000
     6.166    19.000
     6.470    20.000
     6.732    21.000
     6.994    22.000
     7.512    23.000
     7.765    24.000
     8.017    25.000
     8.270    26.000
     8.527    27.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     0.772     1.000
     1.072     2.000
     1.371     3.000
     1.671     4.000
     1.971     5.000
     2.270     6.000
     2.569     7.000
     2.868     8.000
     3.148     9.000
     3.448    10.000
     3.749    11.000
     4.050    12.000
     4.351    13.000
     4.654    14.000
     4.956    15.000
     5.257    16.000
     5.560    17.000
     5.863    18.000
     6.166    19.000
     6.470    20.000
     6.732    21.000
     6.994    22.000
     7.512    23.000
     7.765    24.000
     8.017    25.000
     8.270    26.000
     8.527    27.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.512    20.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.412    20.000
     4.412    20.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.412    20.000
     4.412    24.000
     2.412    24.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.412    20.000
     4.412    16.000
     2.412    16.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     1.000
     2.412     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.412     1.000
     2.412     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     2.412     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     7.000
     2.412     7.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20080512.0808.03
    10.560     2.000 Depth of minimum misfit =   1 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
