#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=zhonglin2.23_rdp_086.ps
projection=-JX18/12
region=-R1/33/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases zhonglin2.23 Event 086' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.165     1.000
     1.735     2.000
     1.312     3.000
     0.901     4.000
     0.530     5.000
     0.362     6.000
     0.236     7.000
     0.261     8.000
     0.300     9.000
     0.553    10.000
     0.847    11.000
     1.150    12.000
     1.456    13.000
     1.767    14.000
     2.076    15.000
     2.283    16.000
     2.594    17.000
     2.906    18.000
     3.217    19.000
     3.529    20.000
     3.797    21.000
     4.067    22.000
     4.335    23.000
     4.605    24.000
     4.874    25.000
     5.205    26.000
     5.463    27.000
     5.832    28.000
     6.096    29.000
     6.360    30.000
     6.628    31.000
     6.894    32.000
     7.160    33.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     3.697     1.000
     2.941     2.000
     2.186     3.000
     1.431     4.000
     0.746     5.000
     0.519     6.000
     0.356     7.000
     0.337     8.000
     0.474     9.000
     0.871    10.000
     1.411    11.000
     1.950    12.000
     2.490    13.000
     3.035    14.000
     3.575    15.000
     3.944    16.000
     4.484    17.000
     5.024    18.000
     5.564    19.000
     6.105    20.000
     6.570    21.000
     7.038    22.000
     7.504    23.000
     7.972    24.000
     8.438    25.000
     9.008    26.000
     9.455    27.000
    10.089    28.000
    10.547    29.000
    11.005    30.000
    11.469    31.000
    11.931    32.000
    12.392    33.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.096    16.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.996    16.000
     3.996    16.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.996    16.000
     3.996    20.000
     1.996    20.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.996    16.000
     3.996    12.000
     1.996    12.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     7.000
     1.996     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.996     3.000
     1.996    13.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     3.000
     1.996     3.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    13.000
     1.996    13.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20090207.2121.05
     9.680     2.000 Depth of minimum misfit =   7 km on  3 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
