#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=zhonglin2.23_rdp_104.ps
projection=-JX18/12
region=-R1/34/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases zhonglin2.23 Event 104' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.169     1.000
     1.724     2.000
     1.279     3.000
     0.834     4.000
     0.388     5.000
     0.057     6.000
     0.474     7.000
     0.148     8.000
     0.178     9.000
     0.504    10.000
     0.830    11.000
     1.143    12.000
     1.466    13.000
     1.791    14.000
     2.114    15.000
     2.433    16.000
     2.754    17.000
     3.076    18.000
     3.398    19.000
     3.720    20.000
     4.000    21.000
     4.281    22.000
     4.561    23.000
     4.843    24.000
     5.124    25.000
     5.404    26.000
     5.895    27.000
     6.174    28.000
     6.452    29.000
     6.732    30.000
     7.011    31.000
     7.290    32.000
     7.569    33.000
     7.849    34.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     2.169     1.000
     1.724     2.000
     1.279     3.000
     0.834     4.000
     0.388     5.000
     0.057     6.000
     0.474     7.000
     0.148     8.000
     0.178     9.000
     0.504    10.000
     0.830    11.000
     1.143    12.000
     1.466    13.000
     1.791    14.000
     2.114    15.000
     2.433    16.000
     2.754    17.000
     3.076    18.000
     3.398    19.000
     3.720    20.000
     4.000    21.000
     4.281    22.000
     4.561    23.000
     4.843    24.000
     5.124    25.000
     5.404    26.000
     5.895    27.000
     6.174    28.000
     6.452    29.000
     6.732    30.000
     7.011    31.000
     7.290    32.000
     7.569    33.000
     7.849    34.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.797    10.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.697    10.000
     3.697    10.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.697    10.000
     3.697    14.000
     1.697    14.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.697    10.000
     3.697     6.000
     1.697     6.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     6.000
     1.697     6.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.697     2.000
     1.697    14.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     2.000
     1.697     2.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    14.000
     1.697    14.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20130421.0359.37
     9.680     2.000 Depth of minimum misfit =   6 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
